#include "rtc.h"

#ifdef NETCLOCK

#include <conio.h>
#include <sys/timers.h>
#include <sys/vc.h>
#include <sys/kernel.h>

#include "Include/prerror.h"
#include "Include/fish_time.h"

#define TRUE	1
#define FALSE	0

extern	unsigned	date[2], year, month, day, hours, minutes, seconds;
extern	unsigned	int_bcd(), bcd_int();
extern	time_t timevar;
extern  nid_t node;

net(setflag)
int setflag;
{
	struct timespec	times;
	pid_t			procpid;

	/* establish vc to remote proc */
	if ((procpid = qnx_vc_attach(node,PROC_PID,0,_VC_AT_SHARE))==-1) {
		prerror("Can't create VC to node %d",node);
		exit(1);
	}

	if(setflag) {	/*  set system time on remote node to this node's time */
		times.tv_sec = fish_time(NULL);
		times.tv_nsec = 0L;
		if (qnx_setclock(procpid,TIMEOFDAY,&times)==-1) {
			perror("qnx_setclock");
			exit(1);	/* vc will get torn down by term code */
		}
	} else {
		if (qnx_getclock(procpid,TIMEOFDAY,&times)==-1) {
			perror("qnx_getclock");
			exit(1);	/* vc will get torn down by term code */
		}
		timevar = times.tv_sec;
	}

	qnx_vc_detach(procpid);
	return(1);
}

#endif
